<?php
/** @var Factory $factory */

use App\Customer;
use App\CustomerLogStatus;
use App\User;
use Faker\Generator as Faker;
use Illuminate\Database\Eloquent\Factory;

$factory->define(App\CustomerLog::class, function (Faker $faker) {
    return [
        'customer_id' => function () {
            return factory(Customer::class)->create()->id;
        },
        'customer_log_status_id' =>  function () {
            return factory(CustomerLogStatus::class)->create()->id;
        },
        'user_id' => function () {
            return factory(User::class)->create()->id;
        },
        'description' => $faker->text,
    ];
});
